<!-- profile-wraper starts -->
<ngx-loading
  [show]="loading"
  [config]="{ backdropBorderRadius: '3px' }"
></ngx-loading>
<section class="profile-wraper">
  <div class="container">
    <div class="tab-outer">
      <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
          <a
          (click)="onChangeTab('Your-Account')"
            class="nav-link"
            [ngClass]="{'active': activeTab === 'Your-Account' || !activeTab}"
            id="Your-Account-tab"
            data-toggle="tab"
            href="#Your-Account"
            role="tab"
            aria-controls="Your-Account"
            aria-selected="true"
            >Your Account</a
          >
        </li>
        <li class="nav-item">
          <a
            (click)="onChangeTab('Your-Purchases')"
            class="nav-link"
            [ngClass]="{'active': activeTab === 'Your-Purchases'}"
            id="Your-Purchases-tab"
            data-toggle="tab"
            href="#Your-Purchases"
            role="tab"
            aria-controls="Your-Purchases"
            aria-selected="false"
            >Your Purchases</a
          >
        </li>
      </ul>
      <div class="tab-content" id="myTabContent">
        <div
          class="tab-pane fade"
          [ngClass]="{'show active': activeTab === 'Your-Account' || !activeTab}"
          id="Your-Account"
          role="tabpanel"
          aria-labelledby="Your-Account-tab"
        >
          <div class="ur-account-form">
            <form [formGroup]="userProfileForm">
              <div class="form-group">
                <label for="Email1">Email Address*:</label>
                <input
                  type="email"
                  formControlName="email"
                  class="form-control"
                  id="Email1"
                  aria-describedby="emailHelp"
                  readonly="true"
                  placeholder=""
                  [ngClass]="{
                    'is-invalid':
                      (userProfileForm.controls.email.touched || isSubmitted) &&
                      userProfileForm.controls.email.errors
                  }"
                  placeholder=""
                />
                <p
                  class="error_module margin_left"
                  *ngIf="userProfileForm.controls.email.touched || isSubmitted"
                >
                  <app-form-validation-errors
                    errorPrefix="First Name "
                    [errors]="userProfileForm.controls.email.errors"
                  >
                  </app-form-validation-errors>
                </p>
              </div>
              <div class="form-group">
                <label for="FirstName">First Name*:</label>
                <input
                  type="text"
                  formControlName="first_name"
                  class="form-control"
                  id="FirstName"
                  [ngClass]="{
                    'is-invalid':
                      (userProfileForm.controls.first_name.touched ||
                        isSubmitted) &&
                      userProfileForm.controls.first_name.errors
                  }"
                  placeholder=""
                />
                <p
                  class="error_module margin_left"
                  *ngIf="
                    userProfileForm.controls.first_name.touched || isSubmitted
                  "
                >
                  <app-form-validation-errors
                    errorPrefix="First Name "
                    [errors]="userProfileForm.controls.first_name.errors"
                  >
                  </app-form-validation-errors>
                </p>
              </div>

              <div class="form-group">
                <label for="LastName">Last Name*:</label>
                <input
                  type="text"
                  formControlName="last_name"
                  class="form-control"
                  id="LastName"
                  [ngClass]="{
                    'is-invalid':
                      (userProfileForm.controls.last_name.touched ||
                        isSubmitted) &&
                      userProfileForm.controls.last_name.errors
                  }"
                  placeholder=""
                />
                <p
                  class="error_module margin_left"
                  *ngIf="
                    userProfileForm.controls.last_name.touched || isSubmitted
                  "
                >
                  <app-form-validation-errors
                    errorPrefix="Last Name "
                    [errors]="userProfileForm.controls.last_name.errors"
                  >
                  </app-form-validation-errors>
                </p>
              </div>

              <div class="form-group">
                <label>New Password: </label>

                <input
                  type="password"
                  class="form-control"
                  formControlName="password"
                  [ngClass]="{
                    'is-invalid':
                      (userProfileForm.controls.password.touched ||
                        isSubmitted) &&
                      userProfileForm.controls.password.errors
                  }"
                  placeholder=""
                />

                <p
                  class="error_module margin_left"
                  *ngIf="
                    userProfileForm.controls.password.touched || isSubmitted
                  "
                >
                  <app-form-validation-errors
                    minLength="8"
                    [isPassword]="true"
                    maxLength="50"
                    errorPrefix="Password "
                    [errors]="userProfileForm.controls.password.errors"
                  >
                  </app-form-validation-errors>
                </p>
              </div>

              <div class="form-group">
                <label>Confirm Password: </label>

                <input
                  type="password"
                  formControlName="confirm_password"
                  placeholder=""
                  class="field-design form-control"
                  [ngClass]="{
                    'is-invalid':
                      (userProfileForm.controls.confirm_password.touched ||
                        isSubmitted) &&
                      userProfileForm.controls.confirm_password.errors
                  }"
                />
                <p
                  class="error_module margin_left"
                  *ngIf="
                    userProfileForm.controls.confirm_password.touched ||
                    isSubmitted
                  "
                >
                  <app-form-validation-errors
                    minLength="8"
                    [isPassword]="true"
                    maxLength="50"
                    errorPrefix="Confirm password "
                    [errors]="userProfileForm.controls.confirm_password.errors"
                  >
                  </app-form-validation-errors>
                </p>
              </div>

              <div class="form-group">
                <label for="Update">&nbsp;</label>
                <button
                  type="submit"
                  (click)="submitProfile()"
                  [disabled]="userProfileForm.invalid"
                  id="Update"
                  class="btn btn-update"
                >
                  Update
                </button>
              </div>
            </form>
          </div>
        </div>
        <div
          class="tab-pane fade"
          [ngClass]="{'show active': activeTab === 'Your-Purchases'}"
          id="Your-Purchases"
          role="tabpanel"
          aria-labelledby="Your-Purchases-tab"
        >
          <div class="purchase-wrap">
            <table class="table">
              <thead>
                <tr>
                  <th scope="col">Date</th>
                  <th scope="col">Prize Detail</th>
                  <th scope="col">№ of Entries</th>
                  <th scope="col">Donation Amount</th>
                  <th scope="col">Donor Name</th>
                  <th scope="col">Transaction ID</th>
                </tr>
              </thead>
              <tbody>
                <ng-container *ngFor="let purchase of purchases">
                  <tr>
                    <td scope="row">{{ purchase?.order_date | date }}</td>
                    <td>{{ purchase?.prize_title }}</td>
                    <td>{{ purchase?.total_entries }}</td>
                    <td>${{ purchase?.entry_amount }}</td>
                    <td>{{ purchase?.organization_name }}</td>
                    <td>{{ purchase?.txn_id }}</td>
                  </tr>
                </ng-container>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- profile-wraper  ends -->
